## org.eclipse.uml2.uml
Interface InterruptibleActivityRegion

All Superinterfaces:
  ActivityGroup, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface InterruptibleActivityRegion

extends ActivityGroup

A representation of the model object 'Interruptible Activity Region'. An interruptible activity region is an activity group that supports termination of tokens flowing in the portions of an activity.

The following features are supported:

- `Node`
- `Interrupting Edge`

See Also:
  `UMLPackage.getInterruptibleActivityRegion()`

Method Summary
`ActivityEdge` `getInterruptingEdge(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Interrupting Edge' reference list
`ActivityEdge` `getInterruptingEdge(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Interrupting Edge' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getInterruptingEdges()` Returns the value of the 'Interrupting Edge' reference list.
`ActivityNode` `getNode(java.lang.String name)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list
`ActivityNode` `getNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list
`org.eclipse.emf.common.util.EList<ActivityNode>` `getNodes()` Returns the value of the 'Node' reference list.
`boolean` `validateInterruptingEdges(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Interrupting edges of a region must have their source node in the region and their target node outside the region in the same activity containing the region.

Methods inherited from interface org.eclipse.uml2.uml.ActivityGroup
`getContainedEdge, getContainedEdge, getContainedEdges, getContainedNode, getContainedNode, getContainedNodes, getInActivity, getSubgroups, getSuperGroup, setInActivity, validateGroupOwned, validateNodesAndEdges, validateNotContained`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNodes

    org.eclipse.emf.common.util.EList<ActivityNode> getNodes()

  Returns the value of the 'Node' reference list. The list contents are of type `ActivityNode`. It is bidirectional and its opposite is '`In Interruptible Region`'. Nodes immediately contained in the group.

  Returns:
    the value of the 'Node' reference list.
  See Also:
    `UMLPackage.getInterruptibleActivityRegion_Node()`, `ActivityNode.getInInterruptibleRegions()`

### getNode

    ActivityNode getNode(java.lang.String name)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getNode

    ActivityNode getNode(java.lang.String name,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getInterruptingEdges

    org.eclipse.emf.common.util.EList<ActivityEdge> getInterruptingEdges()

  Returns the value of the 'Interrupting Edge' reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`Interrupts`'. The edges leaving the region that will abort other tokens flowing in the region.

  Returns:
    the value of the 'Interrupting Edge' reference list.
  See Also:
    `UMLPackage.getInterruptibleActivityRegion_InterruptingEdge()`, `ActivityEdge.getInterrupts()`

### getInterruptingEdge

    ActivityEdge getInterruptingEdge(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Interrupting Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getInterruptingEdges()`

### getInterruptingEdge

    ActivityEdge getInterruptingEdge(java.lang.String name,
                                     boolean ignoreCase,
                                     org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Interrupting Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getInterruptingEdges()`

### validateInterruptingEdges

    boolean validateInterruptingEdges(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  Interrupting edges of a region must have their source node in the region and their target node outside the region in the same activity containing the region. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.